<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: molecular_eos_hook_m.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_84f42f204b822dde8cb4d8a231b19254.html">cfd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Types</a> &#124;
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">molecular_eos_hook_m.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Types</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacemolecular__eos__hooks__interface_1_1init__molecular__eos__hook.html">molecular_eos_hooks_interface::init_molecular_eos_hook</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacemolecular__eos__hooks__interface_1_1update__molecular__eos__hook.html">molecular_eos_hooks_interface::update_molecular_eos_hook</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacemolecular__eos__hooks__interface_1_1P__from__thermo__vars__hook.html">molecular_eos_hooks_interface::P_from_thermo_vars_hook</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacemolecular__eos__hooks__interface_1_1T__from__P__thermo__vars__hook.html">molecular_eos_hooks_interface::T_from_P_thermo_vars_hook</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacemolecular__eos__hooks__interface_1_1T__from__E__thermo__vars__hook.html">molecular_eos_hooks_interface::T_from_E_thermo_vars_hook</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacemolecular__eos__hooks__interface_1_1E__from__thermo__vars__hook.html">molecular_eos_hooks_interface::E_from_thermo_vars_hook</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfacemolecular__eos__hooks__interface_1_1RHO__from__thermo__vars__hook.html">molecular_eos_hooks_interface::RHO_from_thermo_vars_hook</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespacemolecular__eos__hooks__interface"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__hooks__interface.html">molecular_eos_hooks_interface</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:namespacemolecular__eos__hook__m"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__hook__m.html">molecular_eos_hook_m</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a01791b2e082ad9d79b9b81d68a6580e6"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__hook__m.html#a01791b2e082ad9d79b9b81d68a6580e6">molecular_eos_hook_m::set_position_to_thermo</a> (thermo, i, j, k, sd)</td></tr>
<tr class="separator:a01791b2e082ad9d79b9b81d68a6580e6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fb5a374771ee57eceb405b53e519460"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__hook__m.html#a5fb5a374771ee57eceb405b53e519460">molecular_eos_hook_m::cfd_p_from_t_hook</a> (cfd)</td></tr>
<tr class="separator:a5fb5a374771ee57eceb405b53e519460"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7dbc136a027bb032badf93efa3b2102b"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__hook__m.html#a7dbc136a027bb032badf93efa3b2102b">molecular_eos_hook_m::cfd_t_from_p_hook</a> (cfd)</td></tr>
<tr class="separator:a7dbc136a027bb032badf93efa3b2102b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5f0164477a75eac293cc0fe6a2360a01"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__hook__m.html#a5f0164477a75eac293cc0fe6a2360a01">molecular_eos_hook_m::cfd_e_from_t_hook</a> (cfd)</td></tr>
<tr class="separator:a5f0164477a75eac293cc0fe6a2360a01"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:acbe39ca486eedca38f2aae8591d12d1b"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__hook__m.html#acbe39ca486eedca38f2aae8591d12d1b">molecular_eos_hook_m::cfd_t_from_e_hook</a> (cfd)</td></tr>
<tr class="separator:acbe39ca486eedca38f2aae8591d12d1b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2ac3a4a374efe30d5aeaef6b26ae2f45"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__hook__m.html#a2ac3a4a374efe30d5aeaef6b26ae2f45">molecular_eos_hook_m::cfd_rho_from_t_hook</a> (cfd)</td></tr>
<tr class="separator:a2ac3a4a374efe30d5aeaef6b26ae2f45"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a644f629757fb43ee20107dd816f0e4c1"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__hook__m.html#a644f629757fb43ee20107dd816f0e4c1">molecular_eos_hook_m::cfd_p_bc_from_t_hook</a> (boundary, cfd, P_bc, T_bc)</td></tr>
<tr class="separator:a644f629757fb43ee20107dd816f0e4c1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a85a3bde2e4a179043db6b201d7721186"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__hook__m.html#a85a3bde2e4a179043db6b201d7721186">molecular_eos_hook_m::cfd_t_bc_from_p_hook</a> (boundary, cfd, T_bc, P_bc)</td></tr>
<tr class="separator:a85a3bde2e4a179043db6b201d7721186"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b879e9ad641a82dfbe903107bac51ab"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__hook__m.html#a7b879e9ad641a82dfbe903107bac51ab">molecular_eos_hook_m::cfd_e_bc_from_t_hook</a> (boundary, cfd, E_bc, T_bc)</td></tr>
<tr class="separator:a7b879e9ad641a82dfbe903107bac51ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac7445d75d266b94cd0dd6a337a19e8e9"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__hook__m.html#ac7445d75d266b94cd0dd6a337a19e8e9">molecular_eos_hook_m::cfd_t_bc_from_e_hook</a> (boundary, cfd, T_bc, E_bc)</td></tr>
<tr class="separator:ac7445d75d266b94cd0dd6a337a19e8e9"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a88e2f815dd07d4877b43ff9c4bbda942"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structthermo__vars__m_1_1thermo__vars__t.html">thermo_vars_t</a>), save, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespacemolecular__eos__hook__m.html#a88e2f815dd07d4877b43ff9c4bbda942">molecular_eos_hook_m::thermo</a></td></tr>
<tr class="separator:a88e2f815dd07d4877b43ff9c4bbda942"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
